@import url(./variables.css);
@import url(./reset.css);

.wolly-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin: 50px;
}

.wolly-images {
  max-width: 100%;
  height: 600px;
  border-radius: 10px;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
  margin: 0 4px;
}

.wolly-title {
  font-size: var(--font-size-title);
  font-weight: 200;
  text-align: center;
  text-shadow: 1px 3px 7px gray;
  letter-spacing: 1px;
  color: var(--color-primary);
  margin: 10px 0;
}

.wolly-description {
  margin: 50px 250px;
  font-size: var(--font-size-description);
  line-height: 50px;
  color: var(--color-secondary);
}

.top,
.middle,
.bottom {
  margin-bottom: 30px;
}

.cta-button {
  color: var(--button-primary);
  font-size: var(--font-size-sub);
  display: flex;
  justify-content: center;
  margin-bottom: 50px;
}

.cta-button:hover {
  text-shadow: 1px 3px 20px #4d7699;
}

/* Media Queries */

@media screen and (max-width: 1090px) {
  .wolly-container {
    margin: 30px;
  }

  .wolly-images {
    max-width: 100%;
    height: 400px;
  }

  .wolly-title {
    font-size: 2rem;
  }

  .wolly-description {
    margin: 30px 100px;
  }

  .cta-button {
    font-size: 1.2rem;
  }
}

@media screen and (max-width: 768px) {
  .wolly-container {
    margin: 30px;
  }

  .wolly-images {
    max-width: 100%;
    height: 300px;
  }

  .wolly-title {
    font-size: 1.7rem;
  }

  .wolly-description {
    margin: 30px 80px;
    font-size: 1.2rem;
  }

  .cta-button {
    font-size: 1.2rem;
  }
}

@media screen and (max-width: 376px) {
  .wolly-container {
    margin: 30px;
  }

  .wolly-images {
    max-width: 100%;
    height: 200px;
  }

  .wolly-title {
    font-size: 1.6rem;
  }

  .wolly-description {
    margin: 20px 60px;
    font-size: 1rem;
  }

  .cta-button {
    font-size: 1rem;
  }
}
